Test mode
Aplazame provides a test mode to facilitate the integration process before moving to production or to make changes without using real orders. It must be specified under the Accept header, just before the version.
- http
- shell
- python
- php
- C#
GET /orders HTTP/1.1
Accept: application/vnd.aplazame.sandbox.v4+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/orders" \
-H "Accept: application/vnd.aplazame.sandbox.v4+json" \
-H "Authorization: Bearer api_private_key"
import aplazame_sdk
client = aplazame_sdk.Client('api_private_key', sandbox=True)
response = client.orders()
use Aplazame\Api\Client as AplazameClient;
$aplazameClient = new AplazameClient("https://api.aplazame.com", AplazameClient::ENVIRONMENT_SANDBOX, "api_private_key");
$result = $aplazameClient->get("/orders");
using Aplazame.Api;
Client client = new Client("https://api.aplazame.com", Client.EnvironmentSandbox, "api_private_key");
dynamic result = client.Get("/orders");
| HEader | Mode | Value |
|---|---|---|
| Accept | test | application/vnd.aplazame.sandbox.v4+json |
| Accept | production | application/vnd.aplazame.v4+json |
tip
The response indicates the format returned under the Content-Type standard header and the API version in the X-Defer Me-Media-Type header
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Aplazame-Media-Type: aplazame.v4